# GET Parameters

Besides the Possibility to configure nexxPLAY with Overrides, the Javascript SDK automatically interprets GET-Parameters of the current URL and configures the corresponding Overrides automatically.

Supported Parameters are

| Parameter      | Description                                                                                                                                                                                                        |
| -------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **nxp\_t**     | Defines the Offset, the Player will start at. This Parameter takes a Float and corresponds to the "delay" Configuration Option.                                                                                    |
| **nxp\_plswi** | Defines the Index of a Container Element, the Player will start at. This Parameter takes an int (starting at 0) and corresponds to the "startPosition" Configuration Option.                                       |
| **nxp\_plswn** | Similar to nxp\_plswi, but instead of defining the Index of the Container, this Parameter takes the ID of the Element to start with (and computes the Index then automatically).                                   |
| **nxp\_sbpc**  | This Parameter defines the StartContext of the Player. It it rarely necessary to set this, but in some Situations, it may be usefull to set this Value to a supported Value to indicate the Origin of this Player. |

{% hint style="info" %}
These Parameters also work in iFrames, if they are appended to the iFrame URL.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://play.docs.nexx.cloud/integration-enhancements/get-parameters.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
